--- lib/Varien/Image/Adapter/Gd2.php	2015-07-13 11:59:09.831499133 +1000
+++ lib/Varien/Image/Adapter/Gd2.php	2015-07-13 11:58:22.371781745 +1000
@@ -68,6 +68,10 @@
     protected function _isMemoryLimitReached()
     {
         $limit = $this->_convertToByte(ini_get('memory_limit'));
+        // If the memory limit is -1 we want to return false as this value means we have no memory limit.
+        if ($limit === -1) {
+            return false;
+        }
         $size = getimagesize($this->_fileName);
         $requiredMemory = $size[0] * $size[1] * 3;
         return (memory_get_usage(true) + $requiredMemory) > $limit;
